Bug 1120582 - vdsmd not starting
Summary: vdsmd not starting
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 08:36 UTC by movciari
Modified: 2016-02-10 19:34 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 13:22:45 UTC
oVirt Team: Infra


Attachments (Terms of Use)
all logs (6.24 MB, application/gzip)
2014-07-17 08:46 UTC, movciari
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1119828 None None None Never
Red Hat Bugzilla 1121561 None None None Never

Internal Links: 1119828 1121561

Description movciari 2014-07-17 08:36:07 UTC
Description of problem:
when trying to deploy hosted engine, i get error:
[ ERROR ] Failed to execute stage 'Environment setup': [Errno 111] Connection refused


# hosted-engine --deploy
[ INFO  ] Stage: Initializing
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install oVirt Engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]: 
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Environment setup
          Configuration files: []
          Log file: /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20140717101710-jsx70p.log
          Version: otopi-1.2.2 (otopi-1.2.2-1.el6ev)
[ INFO  ] Hardware supports virtualization
[ INFO  ] Bridge rhevm already created
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ ERROR ] Failed to execute stage 'Environment setup': [Errno 111] Connection refused
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/etc/ovirt-hosted-engine/answers.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination

Version-Release number of selected component (if applicable):
av10.1
ovirt-hosted-engine-ha-1.1.2-5.el6ev.noarch
ovirt-hosted-engine-setup-1.1.3-1.el6ev.noarch
vdsm-4.14.7-5.el6ev.x86_64

How reproducible:
always on my setup

Steps to Reproduce:
1. hosted-engine --deploy

Actual results:
fails to deploy

Expected results:
should deploy successfully

Additional info:

Comment 1 movciari 2014-07-17 08:46:53 UTC
Created attachment 918639 [details]
all logs

Comment 2 Sandro Bonazzola 2014-07-22 08:25:20 UTC
Dan, this ring a bell, didn't we already seen something like this?

Comment 3 Dan Kenigsberg 2014-07-22 10:32:35 UTC
bug 1121561 maybe? (I did not research)

Comment 4 Sandro Bonazzola 2014-07-22 13:03:17 UTC
Looking at failure in hosted-engine, at corresponding time stamp supervdsmd is started, but vdsmd is down.
/var/log/messages shows:

Jul 17 10:15:08 srh-01 abrt-server[12865]: Not saving repeating crash in '/usr/share/vdsm/vdsm'
Jul 17 10:15:08 srh-01 respawn: slave '/usr/share/vdsm/vdsm --pidfile /var/run/vdsm/vdsmd.pid' died too quickly, respawning slave
Jul 17 10:15:08 srh-01 abrt: detected unhandled Python exception in '/usr/share/vdsm/vdsm'
Jul 17 10:15:08 srh-01 abrtd: New client connected
Jul 17 10:15:08 srh-01 abrt-server[12873]: Not saving repeating crash in '/usr/share/vdsm/vdsm'

And so on.
Moving to VDSM.

Comment 5 Yaniv Bronhaim 2014-07-22 15:53:39 UTC
please check if this the same case as https://bugzilla.redhat.com/show_bug.cgi?id=1121561

if yes, close as duplicated.

Comment 6 Yaniv Bronhaim 2014-07-23 08:54:48 UTC
It looks from the logs that vdsm ran there, and did some operations. although later on something got wrong with libvirt communication and vdsm restarted. in /var/log/message you see that it tries to start again and fails. The reason is not clear, can you reproduce it?

Comment 7 Yaniv Bronhaim 2014-07-23 13:22:45 UTC
Without reproducer I force to assume that we already fixed it, as we had few similar issues in that same location. please reopen if it comes up again

Comment 8 movciari 2015-06-10 11:32:53 UTC
removing old needinfo


Note You need to log in before you can comment on or make changes to this bug.